Subject: Re: [PATCH (repost) net-next] sched: add extack for tfilter_notify

From: Hangbin Liu <[email-masked]>
Date: Tue, 15 Nov 2022 11:07:21 +0800

On Thu, Nov 10, 2022 at 09:27:09AM -0800, Jakub Kicinski wrote:
> > I understand your frustration but from an operational pov it is
> > better to deal with one tool than two (Marcelo's point).
> 
> IDK, we can have a kernel hook into the trace point and generate 
> the output over netlink, like we do with drop monitor and skb_free().
> But I really doubt that its worth it. Also you can put a USDT into OvS
> if you don't want to restart it. There are many options, not everything
> is a nail :S

I have finished a patch with TCA_NTF_WARN_MSG to carry the string message.
But looks our discussion goes to a way that this feature is not valuable?

So maybe I should stop on here?

Anyway, thanks a lot for your time and comments.

Hangbin